#include "spi.h"
#include "serial.h"

void init_SPI()
{
	sspstat = sspstat & 0x3F;
	sspstat = sspstat | 0x00;	//SMP = MIDDLE  (0x80 - END) 
	sspstat = sspstat | 0x40;	//(0x00 - CKE = 0)  (0x40 - CKE = 1)

	sspcon1 = sspcon1 & 0xC0;
	sspcon1 = sspcon1 | 0x20; 	//Enable SPI Mode
	sspcon1 = sspcon1 | 0x00; 	//(0x00 - CKP = 0)  (0x10 - CKP = 1)
	sspcon1 = sspcon1 | 0x01; 	//SPI CLOCK = FOSC/16
}


void sendDataSPI(unsigned char dout)
{
	sspbuf = dout;
//sendByte('P');
	while(!(sspstat&0x01));
//sendByte('I');
	//while(!BF);
}

unsigned char readDataSPI(void)
{
	unsigned char din;

//	while(!BF);
while(!(sspstat&0x01));
	din = sspbuf;
	return din;
}
